cf-agent(8)

NAME
cf-agent - cfengine's change agent

SYNOPSIS:
 cf-agent [options]

DESCRIPTION:
The main Cfengine agent is the instigator of change in the system. In that sense it is the most important part of the Cfengine suite. cfengine is a self-healing configuration and change management based system. You can think of.B cfengine as a very high level language, much higher level than Perl or shell. Asingle statement is called a promise, and compliance can result in many hundreds of filesbeing created, or the permissions of many hundreds offiles being set. The idea of .B cfengine is to create a one or more sets of configuration files which willclassify and describe the setup of every host in a network.

COMMAND LINE OPTIONS:

--bootstrap, -B
    Bootstrap/repair a cfengine configuration from failsafe file in the WORKDIR else in current directory

--bundlesequence, -b
    Set or override bundlesequence from command line

--debug, -d
    Enable debugging output

--define, -D
    Define a list of comma separated classes to be defined at the start of execution

--diagnostic, -x
    Do internal diagnostic (developers only) level in optional argument

--dry-run, -n
    All talk and no action mode - make no changes, only inform of promises not kept

--file, -f
    Specify an alternative input file than the default

--help, -h
    Print the help message

--inform, -I
    Print basic information about changes made to the system, i.e. promises repaired

--negate, -N
    Define a list of comma separated classes to be undefined at the start of execution

--no-lock, -K
    Ignore locking constraints during execution (ifelapsed/expireafter) if "too soon" to run

--policy-server, -s
    Define the server name or IP address of the a policy server (for use with bootstrap)

--verbose, -v
    Output verbose information about the behaviour of the agent

--version, -V
    Output the version of the software

AUTHOR
Mark Burgess and CFEngine AS

INFORMATION
Bug reports: http://bug.cfengine.com, .pp Community help: http://forum.cfengine.com Community info: http://www.cfengine.com/pages/community Support services: http://www.cfengine.com This software is Copyright (C) 2008-2013 CFEngine AS.